package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel(
   value = "验货单表",
   description = "验货单表"
)
public class DrpInspectGoods {
   @ApiModelProperty("验货单号")
   @TableId
   private String inspectGoodsId;
   @ApiModelProperty("验货时间")
   private LocalDateTime inspectDate;
   @ApiModelProperty("验货人")
   private String inspector;
   @ApiModelProperty("提交状态(1待提交,2已提交)")
   private Integer status;
   @ApiModelProperty("关联送货单号")
   private String relateDeliveryGoodsId;
   @ApiModelProperty("送货供应商id")
   private Long deliverySupplierId;
   @ApiModelProperty("送货人")
   private String deliveryMan;
   @ApiModelProperty("送货人电话")
   private String deliveryPhone;
   @ApiModelProperty("送货仓库")
   private Long deliveryWarehouseId;
   @ApiModelProperty("送货总数量")
   private BigDecimal deliveryTotalNum;
   @ApiModelProperty("累计合格数量")
   private BigDecimal totalQualifiedNum;
   @ApiModelProperty("验货合格总数量")
   private BigDecimal inspectQualifiedNum;
   @ApiModelProperty("关联采购订单号")
   private String relateOrderGoodsId;
   @ApiModelProperty("送货日期")
   private LocalDate deliveryDate;
   @ApiModelProperty("是否入库(1是2否)")
   private Integer ifInto;
   @ApiModelProperty("签名")
   private String signaturePicUrl;
   @TableField(
      value = "createBy",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(
      value = "createTime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(
      value = "updateBy",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(
      value = "updateTime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;

   public String getInspectGoodsId() {
      return this.inspectGoodsId;
   }

   public LocalDateTime getInspectDate() {
      return this.inspectDate;
   }

   public String getInspector() {
      return this.inspector;
   }

   public Integer getStatus() {
      return this.status;
   }

   public String getRelateDeliveryGoodsId() {
      return this.relateDeliveryGoodsId;
   }

   public Long getDeliverySupplierId() {
      return this.deliverySupplierId;
   }

   public String getDeliveryMan() {
      return this.deliveryMan;
   }

   public String getDeliveryPhone() {
      return this.deliveryPhone;
   }

   public Long getDeliveryWarehouseId() {
      return this.deliveryWarehouseId;
   }

   public BigDecimal getDeliveryTotalNum() {
      return this.deliveryTotalNum;
   }

   public BigDecimal getTotalQualifiedNum() {
      return this.totalQualifiedNum;
   }

   public BigDecimal getInspectQualifiedNum() {
      return this.inspectQualifiedNum;
   }

   public String getRelateOrderGoodsId() {
      return this.relateOrderGoodsId;
   }

   public LocalDate getDeliveryDate() {
      return this.deliveryDate;
   }

   public Integer getIfInto() {
      return this.ifInto;
   }

   public String getSignaturePicUrl() {
      return this.signaturePicUrl;
   }

   public DrpInspectGoods setInspectGoodsId(final String inspectGoodsId) {
      this.inspectGoodsId = inspectGoodsId;
      return this;
   }

   public DrpInspectGoods setInspectDate(final LocalDateTime inspectDate) {
      this.inspectDate = inspectDate;
      return this;
   }

   public DrpInspectGoods setInspector(final String inspector) {
      this.inspector = inspector;
      return this;
   }

   public DrpInspectGoods setStatus(final Integer status) {
      this.status = status;
      return this;
   }

   public DrpInspectGoods setRelateDeliveryGoodsId(final String relateDeliveryGoodsId) {
      this.relateDeliveryGoodsId = relateDeliveryGoodsId;
      return this;
   }

   public DrpInspectGoods setDeliverySupplierId(final Long deliverySupplierId) {
      this.deliverySupplierId = deliverySupplierId;
      return this;
   }

   public DrpInspectGoods setDeliveryMan(final String deliveryMan) {
      this.deliveryMan = deliveryMan;
      return this;
   }

   public DrpInspectGoods setDeliveryPhone(final String deliveryPhone) {
      this.deliveryPhone = deliveryPhone;
      return this;
   }

   public DrpInspectGoods setDeliveryWarehouseId(final Long deliveryWarehouseId) {
      this.deliveryWarehouseId = deliveryWarehouseId;
      return this;
   }

   public DrpInspectGoods setDeliveryTotalNum(final BigDecimal deliveryTotalNum) {
      this.deliveryTotalNum = deliveryTotalNum;
      return this;
   }

   public DrpInspectGoods setTotalQualifiedNum(final BigDecimal totalQualifiedNum) {
      this.totalQualifiedNum = totalQualifiedNum;
      return this;
   }

   public DrpInspectGoods setInspectQualifiedNum(final BigDecimal inspectQualifiedNum) {
      this.inspectQualifiedNum = inspectQualifiedNum;
      return this;
   }

   public DrpInspectGoods setRelateOrderGoodsId(final String relateOrderGoodsId) {
      this.relateOrderGoodsId = relateOrderGoodsId;
      return this;
   }

   public DrpInspectGoods setDeliveryDate(final LocalDate deliveryDate) {
      this.deliveryDate = deliveryDate;
      return this;
   }

   public DrpInspectGoods setIfInto(final Integer ifInto) {
      this.ifInto = ifInto;
      return this;
   }

   public DrpInspectGoods setSignaturePicUrl(final String signaturePicUrl) {
      this.signaturePicUrl = signaturePicUrl;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpInspectGoods setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpInspectGoods setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpInspectGoods setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpInspectGoods setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
